{% extends 'admin/index.html.twig' %}

{% block body %}
    <h1>Catégories
        <a href="{{path('admin_new_category')}}" class="btn">Nouvelle</a>
    </h1>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
                <th>ID</th>
                <th>Nom</th>
                <th>Actions</th>
            </thead>
            <tbody>
                {% for cat in cats %}
                    <tr>
                        <th>{{cat.id}}</th>
                        <td>{{cat.name}}</td>
                        <td>
                            <a href="{{path('admin_edit_category', {'id': cat.id})}}" class="btn btn-secondary">Editer</a>
                            <a href="{{path('admin_delete_category', {'id': cat.id})}}" class="btn btn-danger">Supprimer</a>
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}